- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances/create#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances/create#body.aspect_1)

**Full name**: projects.locations.instances.integrations.integrationInstances.create

Creates a new IntegrationInstance. Use this method to establish a new integration instance to a custom or third-party security product for a specific environment. You must provide all mandatory parameters required by the integration definition.

### HTTP request

`POST https://{endpoint}/v1beta/{parent}/integrationInstances`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to create the IntegrationInstance for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration} |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances#IntegrationInstance`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.integrationInstances#IntegrationInstance`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.integrationInstances.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).